Package com.castlabs.android.player

## Class TrickplayConfiguration.Builder

- java.lang.Object
- - com.castlabs.android.player.TrickplayConfiguration.Builder

- Enclosing class:
    TrickplayConfiguration

      public static final class TrickplayConfiguration.Builder
      extends Object

  `TrickplayConfiguration` Builder.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |
    `Builder​(TrickplayConfiguration cfg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TrickplayConfiguration.Builder` | `forceUnreferencedTrickPlayTracks​(boolean forceUnreferencedTrickPlayTracks)` | Sets the `forceUnreferencedTrickPlayTracks` and returns a reference to this Builder so that the methods can be chained together.
    `TrickplayConfiguration` | `get()` | Returns a `TrickplayConfiguration` built from the parameters previously set.
    `TrickplayConfiguration.Builder` | `keepAudioEnabled​(boolean keepAudioEnabled)` | Sets the `keepAudioEnabled` and returns a reference to this Builder so that the methods can be chained together.
    `TrickplayConfiguration.Builder` | `keepDashEventCallbackEnabled​(boolean keepDashEventCallbackEnabled)` | Sets the `keepDashEventCallbackEnabled` and returns a reference to this Builder so that the methods can be chained together.
    `TrickplayConfiguration.Builder` | `maxSeekFps​(double maxSeekFps)` | Sets the `maxSeekFps` and returns a reference to this Builder so that the methods can be chained together.
    `TrickplayConfiguration.Builder` | `maxTrackBitrate​(int maxTrackBitrate)` | Sets the `maxTrackBitrate` and returns a reference to this Builder so that the methods can be chained together.
    `TrickplayConfiguration.Builder` | `preferTrickPlayTracks​(boolean preferTrickPlayTracks)` | Sets the `preferTrickPlayTracks` and returns a reference to this Builder so that the methods can be chained together.
    `TrickplayConfiguration.Builder` | `seekModeFrameRenderedTimeoutMs​(long seekModeFrameRenderedTimeoutMs)` | Sets the `seekModeFrameRenderedTimeoutMs` and returns a reference to this Builder so that the methods can be chained together.
    `TrickplayConfiguration.Builder` | `speed​(float speed)` | Sets the `speed` and returns a reference to this Builder so that the methods can be chained together.
    `TrickplayConfiguration.Builder` | `speedupMode​(TrickplayConfiguration.SpeedupMode speedupMode)` | Sets the `speedupMode` and returns a reference to this Builder so that the methods can be chained together.
    `TrickplayConfiguration.Builder` | `trickplayTrack​(VideoTrackQuality trickplayTrack)` | Sets the `trickplayTrack` and returns a reference to this Builder so that the methods can be chained together.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

    - #### Builder

          public Builder​(@NonNull
                         TrickplayConfiguration cfg)

  - ### Method Detail

    - #### speedupMode

          public TrickplayConfiguration.Builder speedupMode​(@NonNull
                                                            TrickplayConfiguration.SpeedupMode speedupMode)

      Sets the `speedupMode` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `speedupMode` - the `speedupMode` to set
      Returns:
        a reference to this Builder

    - #### speed

          public TrickplayConfiguration.Builder speed​(float speed)

      Sets the `speed` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `speed` - the `speed` to set
      Returns:
        a reference to this Builder

    - #### preferTrickPlayTracks

          public TrickplayConfiguration.Builder preferTrickPlayTracks​(boolean preferTrickPlayTracks)

      Sets the `preferTrickPlayTracks` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `preferTrickPlayTracks` - the `preferTrickPlayTracks` to set
      Returns:
        a reference to this Builder

    - #### forceUnreferencedTrickPlayTracks

          public TrickplayConfiguration.Builder forceUnreferencedTrickPlayTracks​(boolean forceUnreferencedTrickPlayTracks)

      Sets the `forceUnreferencedTrickPlayTracks` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `forceUnreferencedTrickPlayTracks` - the `forceUnreferencedTrickPlayTracks` to set
      Returns:
        a reference to this Builder

    - #### trickplayTrack

          public TrickplayConfiguration.Builder trickplayTrack​(VideoTrackQuality trickplayTrack)

      Sets the `trickplayTrack` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `trickplayTrack` - the `trickplayTrack` to set
      Returns:
        a reference to this Builder

    - #### maxTrackBitrate

          public TrickplayConfiguration.Builder maxTrackBitrate​(int maxTrackBitrate)

      Sets the `maxTrackBitrate` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `maxTrackBitrate` - the `maxTrackBitrate` to set
      Returns:
        a reference to this Builder

    - #### keepAudioEnabled

          public TrickplayConfiguration.Builder keepAudioEnabled​(boolean keepAudioEnabled)

      Sets the `keepAudioEnabled` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `keepAudioEnabled` - the `keepAudioEnabled` to set
      Returns:
        a reference to this Builder

    - #### keepDashEventCallbackEnabled

          public TrickplayConfiguration.Builder keepDashEventCallbackEnabled​(boolean keepDashEventCallbackEnabled)

      Sets the `keepDashEventCallbackEnabled` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `keepDashEventCallbackEnabled` - the `keepDashEventCallbackEnabled` to set
      Returns:
        a reference to this Builder

    - #### maxSeekFps

          public TrickplayConfiguration.Builder maxSeekFps​(double maxSeekFps)

      Sets the `maxSeekFps` and returns a reference to this Builder so that the methods can be chained together. Must be &gt; 0.
      Parameters:
        `maxSeekFps` - the `maxSeekFps` to set
      Returns:
        a reference to this Builder

    - #### seekModeFrameRenderedTimeoutMs

          public TrickplayConfiguration.Builder seekModeFrameRenderedTimeoutMs​(long seekModeFrameRenderedTimeoutMs)

      Sets the `seekModeFrameRenderedTimeoutMs` and returns a reference to this Builder so that the methods can be chained together. Must be &ge; 0.
      Parameters:
        `seekModeFrameRenderedTimeoutMs` - the `seekModeFrameRenderedTimeoutMs` to set
      Returns:
        a reference to this Builder

    - #### get

          public TrickplayConfiguration get()

      Returns a `TrickplayConfiguration` built from the parameters previously set.
      Returns:
        a `TrickplayConfiguration` built with parameters of this `TrickplayConfiguration.Builder`